[Libreoffice-commits] .: 5 commits - bin/g bin/migrate-rawbuild-to-bootstrap bin/tinbuild bin/unpack configure.in download_external_sources.sh download.in .gitignore Makefile.am
Norbert Thiebaud
nthiebaud at kemper.freedesktop.org
Tue Nov 30 18:26:32 PST 2010
.gitignore | 1
Makefile.am | 2
bin/g | 245 +-------------------------------------
bin/migrate-rawbuild-to-bootstrap | 16 ++
bin/tinbuild | 8 -
bin/unpack | 29 +---
configure.in | 4
download.in | 114 +++++++----------
download_external_sources.sh | 7 -
9 files changed, 99 insertions(+), 327 deletions(-)
New commits:
commit dd0ee499f7710a5f400d311b0ab0a964beda209d
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date: Sun Nov 28 12:05:24 2010 -0600
fix the build-repo based build to adjust to the bootstrap-based 'rawbuild'
diff --git a/bin/unpack b/bin/unpack
index ed1431b..b6face6 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -1,5 +1,9 @@
#!/bin/sh
+if test -d ../clone ; then
+ echo "Due to change in the build structure, you must run autogen and ./download again"
+ exit 1;
+fi
#
# See setup for user tweakables.
#
@@ -40,15 +44,19 @@ check_tarball()
check_git_repo()
{
- tree="$CLONEDIR/$1"
+ if test "$1" = "bootstrap" ; then
+ tree="$RAWBUILDDIR"
+ else
+ tree="$CLONEDIR/$1"
+ fi
$echo_n "Checking for current branch of $tree ... $echo_c";
BUILD_BRANCH=`git symbolic-ref HEAD|sed 's|.*/||'`
if cd "$tree" >/dev/null 2>&1 ; then
CURRENT_BRANCH=`git symbolic-ref HEAD|sed 's|.*/||'`
if test "$CURRENT_BRANCH" = "$BUILD_BRANCH"; then
- echo "ok"
+ echo "ok"
else
- echo "warning, current branch is $CURRENT_BRANCH"
+ echo "warning, current branch is $CURRENT_BRANCH"
fi
else
echo "missing the $tree clone; run './download'"
@@ -303,19 +311,6 @@ if test "z$OOO_GIT" = "z" ; then
fi
fi
else
- if test -d "$RAWBUILDDIR" ; then
- echo "* removing old nonsplit dir: $RAWBUILDDIR"
- rm -rf "$RAWBUILDDIR"
- fi
- mkdir "$RAWBUILDDIR"
- echo "* creating symlinks in $RAWBUILDDIR"
- for pkg in $CORE_PKGS; do
- if test "$pkg" != "l10n" ; then
- # l10n cannot be easily handled in nonsplit/, we only copy it to
- # build dir (the one with the applied patches)
- ln -s "$CLONEDIR/$pkg"/* "$RAWBUILDDIR/"
- fi
- done
if test -d $OOBUILDDIR; then
echo "* removing old build dir: $OOBUILDDIR"
rm -rf $OOBUILDDIR
diff --git a/download_external_sources.sh b/download_external_sources.sh
index a1e32d2..fe4046d 100755
--- a/download_external_sources.sh
+++ b/download_external_sources.sh
@@ -5,8 +5,11 @@
export TARFILE_LOCATION
export CLONEDIR
-if test -e $CLONEDIR/bootstrap/fetch_tarballs.sh -a -e $CLONEDIR/bootstrap/ooo.lst; then
- $CLONEDIR/bootstrap/fetch_tarballs.sh $CLONEDIR/bootstrap/ooo.lst
+if test -e bootstrap/download -a -e bootstrap/ooo.lst; then
+ (
+ cd bootstrap
+ ./download ooo.lst
+ )
else
GIT_TAG=`echo $OOO_SOURCEDIRNAME | tr "a-z.-" "A-Z__"`
tmp=`mktemp -q -d`
commit 7f434617e0831bf749d9a87cf10f9d28f3975abd
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date: Sat Nov 27 14:25:17 2010 -0600
typo in bin/g
diff --git a/bin/g b/bin/g
index 9443bc4..2381121 100755
--- a/bin/g
+++ b/bin/g
@@ -13,7 +13,7 @@ if [ ! -e ${BOOTSTRAPDIR} ]; then
fi
if [ -d ${BOOTSTRAPDIR} ]; then
- ${BOOTSTRAPDIR}/g "@$"
+ ${BOOTSTRAPDIR}/g "$@"
fi
# vi:set shiftwidth=4 expandtab:
commit 4dbdd36afdfce10a47477f0886fad376aa9f1b07
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date: Sat Nov 27 14:23:52 2010 -0600
ignore /bootstrap, the new 'rawbuild'
diff --git a/.gitignore b/.gitignore
index aa565aa..68c37d7 100644
--- a/.gitignore
+++ b/.gitignore
@@ -15,6 +15,7 @@ nohup.out
/build/
/clone/
+/bootstrap/
/download
/download.list
/gob.log
commit 1468a751f3797907b4d2b7ea9c56778c11d9939e
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date: Sat Nov 27 14:05:06 2010 -0600
adapt the build repo to use a bootstrap-based 'rawbuild'
diff --git a/Makefile.am b/Makefile.am
index 4a756f0..dd01d93 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -97,7 +97,7 @@ $(STAMP_DIR)/refresh : $(CLONEDIR)/repos_changed
FLAGS=`$(TOOLSDIR)/bin/applyflags $(TOOLSDIR)/bin` ; \
chmod +x $(TOOLSDIR)/patches/apply.pl && $(TOOLSDIR)/patches/apply.pl $(APPLY_DIR) $(OOBUILDDIR) $$FLAGS -R ; \
echo "Rsyncing changes from the repos to the build tree - [ go and have some $(DRINK) ] ..." ; \
- rsync -prL --exclude .git --exclude 'unxlng??.pro' --exclude 'wntmsci??.pro' --exclude '/solver' --exclude '/install' "$(RAWBUILDDIR)/" "$(OOBUILDDIR)/" ; \
+ rsync -prL --exclude .git --exclude 'unxlng??.pro' --exclude 'wntmsci??.pro' --exclude '/solver' --exclude '/clone' --exclude '/install' "$(RAWBUILDDIR)/" "$(OOBUILDDIR)/" ; \
rm -f $(STAMP_DIR)/patch.apply ; \
fi
touch $@
diff --git a/bin/g b/bin/g
index c865ff0..9443bc4 100755
--- a/bin/g
+++ b/bin/g
@@ -1,248 +1,19 @@
#!/usr/bin/env bash
#
# Wrapper for git to handle more subdirs at the same time
+# this wrapper redirect to the one in the bootstrap repo, that will do the actual work
#
-# no params, no action
-if [ "$#" -eq "0" ] ; then
- git
- echo
- echo "Additional options available only in this 'g' wrapper:"
- echo
- echo "Usage: g [options] [git commands]"
- echo " -f Force - act on all the repos, not only the changed ones"
- echo " -s Silent - do not report the repo names."
- exit $?
-fi
-
-CLONEDIR=`perl -e 'use Cwd "abs_path"; print abs_path(shift);' $0 | sed -e ' s/\/bin\/g$/\/clone/'`
-if [ ! -e ${CLONEDIR} ]; then mkdir -p $CLONEDIR; fi
-RAWBUILDDIR=`perl -e 'use Cwd "abs_path"; print abs_path(shift);' $0 | sed -e ' s/\/bin\/g$/\/rawbuild/'`
-if [ ! -e ${RAWBUILDDIR} ]; then mkdir -p $RAWBUILDDIR; fi
-
-# extra params for some commands, like log
-EXTRA=
-COMMAND="$1"
-PAGER=
-RELATIVIZE=1
-PUSH_ALL=
-ALLOW_EMPTY=
-KEEP_GOING=0
-REPORT_REPOS=1
-
-while [ "${COMMAND:0:1}" = "-" ] ; do
- case "$COMMAND" in
- -f) KEEP_GOING=1
- ;;
- -s) REPORT_REPOS=0
- ;;
- esac
- shift
- COMMAND="$1"
-done
-
-case "$COMMAND" in
- apply)
- EXTRA="-p0 --stat --apply --index --ignore-space-change --whitespace=error"
- RELATIVIZE=0
- ;;
- diff)
- PAGER='--no-pager'
- REPORT_REPOS=0
- ;;
- log)
- if [ "$#" = "1" ] ; then
- EXTRA='-1'
- fi
- PAGER='--no-pager'
- ;;
- push)
- if [ "$#" != "1" ] ; then
- PUSH_ALL=1
- fi
- ;;
-esac
-
-# absolutize the parameters first
-unset FILES
-FILESNUM=0
-while shift ; do
- PARAM="$1"
- if [ -z "$PARAM" ] ; then
- continue
- elif [ "${PARAM:0:1}" = "-" ] ; then
- if [ \( "$COMMAND" = "checkout" -a "$PARAM" = "-b" \) -o \
- \( "$COMMAND" = "clone" -a "$PARAM" = "--reference" \) -o \
- \( "$COMMAND" = "commit" -a "$PARAM" = "-m" \) -o \
- \( "$COMMAND" = "commit" -a "$PARAM" = "-am" \) -o \
- \( "$COMMAND" = "tag" -a "$PARAM" = "-m" \) ]
- then
- # params that take an argument
- FILES[$FILESNUM]="$PARAM"
- FILESNUM=$(($FILESNUM+1))
- shift
- FILES[$FILESNUM]="$1"
- FILESNUM=$(($FILESNUM+1))
- else
- [ "$COMMAND" = "commit" -a "$PARAM" = "--allow-empty" ] && ALLOW_EMPTY=1
-
- FILES[$FILESNUM]="$PARAM"
- FILESNUM=$(($FILESNUM+1))
- fi
- else
- if [ "$COMMAND" = "apply" ] ; then
- grep -qs $'^+ *\t' "$PARAM" && {
- echo "Patch '$PARAM' introduces tabs in indentation, aborting."
- echo
- echo "Please fix the patch (something like s/^\(+ *\)\t/\1 /) and try again."
- echo
- exit 1
- }
- fi
-
- # make the paths absolute
- FILES[$FILESNUM]=`perl -e 'use Cwd "abs_path"; print abs_path(shift);' "$PARAM"`
- if [ -z "${FILES[$FILESNUM]}" -o ! -e "${FILES[$FILESNUM]}" ] ; then
- # it is probably not a file, but a tag name, or something
- FILES[$FILESNUM]="$PARAM"
- fi
- FILESNUM=$(($FILESNUM+1))
- fi
-done
-
-# do it!
-cd "$CLONEDIR"
-DIRS=`ls`
-if [ "$COMMAND" = "clone" ] ; then
- DIRS="artwork base bootstrap calc components extensions extras filters
- help impress libs-core libs-extern libs-extern-sys libs-gui
- postprocess sdk testing ure writer"
-fi
-for DIR in $DIRS ; do
- if [ \( -d "$DIR" -a -d "$DIR"/.git \) -o \( "$COMMAND" = "clone" \) ] ; then
- (
- # executed in a subshell
- [ "$COMMAND" != "clone" ] && cd $DIR
-
- # relativize the absolutized params again if we want to operate
- # only on the files belonging to this exact repo
- if [ "$RELATIVIZE" = "1" -a -n "$FILES" ] ; then
- FILESNUM=0
- INSERTNUM=0
- PWD=`pwd`
- PWDLEN=`pwd | wc -c`
- for I in "${FILES[@]}" ; do
- I="${I//@REPO@/${DIR}}"
- unset FILES[$FILESNUM]
- FILESNUM=$(($FILESNUM+1))
- # filter out files that don't belong to this repo
- if [ \( "${I:0:1}" = "/" \) -a \( "$COMMAND" != "clone" \) ] ; then
- if [ "${I:0:$PWDLEN}" = "$PWD/" ] ; then
- FILES[$INSERTNUM]="${I:$PWDLEN}"
- INSERTNUM=$(($INSERTNUM+1))
- fi
- else
- FILES[$INSERTNUM]="$I"
- INSERTNUM=$(($INSERTNUM+1))
- fi
- done
- [ "$INSERTNUM" = "0" ] && exit 0
- fi
-
- # some extra params
- case "$COMMAND" in
- apply)
- for I in * ; do
- if [ -d "$I" ] ; then
- EXTRA="$EXTRA --include=$I/*"
- else
- EXTRA="$EXTRA --include=$I"
- fi
- done
- ;;
- commit)
- if [ "$ALLOW_EMPTY" != "1" ] ; then
- [ -z "`git diff-index --name-only HEAD --`" ] && exit 0
- fi
- ;;
- push)
- if [ "$PUSH_ALL" != "1" ] ; then
- [ -n "`git rev-list origin..HEAD`" ] || exit 0
- fi
- ;;
- status)
- LOCALCOMMITS="`git rev-list origin..HEAD`"
- if [ -z "$LOCALCOMMITS" ] ; then
- [ -z "`git diff-index --name-only HEAD --`" ] && exit 0
- fi
- ;;
- clone)
- if [ -z "$FILES" ]; then
- EXTRA="$(git config remote.origin.url|sed 's|/[^/]\+$||')/${DIR}"
- fi
- ;;
- esac
-
- [ "$REPORT_REPOS" = "1" ] && echo "===== $DIR ====="
-
- # check for changes
- HEADREF=`git show-ref --head HEAD`
-
- # do it!
- git $PAGER "$COMMAND" $EXTRA "${FILES[@]}"
- RETURN=$?
-
- # now we can change the dir in case of clone as well
- [ "$COMMAND" = "clone" ] && cd $DIR
-
- # update stamp if the repo changed
- NEWHEADREF=`git show-ref --head HEAD`
- [ "$HEADREF" != "$NEWHEADREF" ] && touch $CLONEDIR/repos_changed
-
- case "$COMMAND" in
- pull|clone)
- # update links
- for link in `ls` ; do
- if [ ! -e "$RAWBUILDDIR/$link" ] ; then
- echo "Creating missing link $link"
- ln -s "$CLONEDIR/$DIR/$link" "$RAWBUILDDIR/$link"
- fi
- done
- ;;
- status)
- # git status returns error in some versions, clear that
- RETURN=0
- ;;
- grep)
- # git grep return an 'error' if nothing is found
- # still we should continue grepping the other repos
- RETURN=0
- ;;
- esac
- if [ "$KEEP_GOING" = "1" ] ; then
- RETURN=0
- fi
-
- exit $RETURN
- ) || exit $?
- fi
-done
+BASE_DIR=$(dirname $0)
+cd ${BASE_DIR}/..
+BOOTSTRAPDIR="$(pwd)/bootstrap"
-# Cleanup the broken links
-if [ "$COMMAND" = "pull" ] ; then
- for link in `ls $RAWBUILDDIR` ; do
- if [ -h "$RAWBUILDDIR/$link" -a ! -e "$RAWBUILDDIR/$link" ]; then
- echo "Removing broken link $link"
- rm $RAWBUILDDIR/$link
- fi
- done
+if [ ! -e ${BOOTSTRAPDIR} ]; then
+ ${BASE_DIR?}/migrate-rawbuild-to-bootstrap || exit 1;
fi
-# warn
-if [ "$COMMAND" = "apply" ] ; then
- echo
- echo "Don't forget to check the status & commit now ;-)"
- echo
+if [ -d ${BOOTSTRAPDIR} ]; then
+ ${BOOTSTRAPDIR}/g "@$"
fi
# vi:set shiftwidth=4 expandtab:
diff --git a/bin/migrate-rawbuild-to-bootstrap b/bin/migrate-rawbuild-to-bootstrap
new file mode 100755
index 0000000..ba8fd64
--- /dev/null
+++ b/bin/migrate-rawbuild-to-bootstrap
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+if [ ! -d bootstrap ] ; then
+ if [ -d clone ] ; then
+ if [ ! -d clone/bootstrap ] ; then
+ die "clone exist but clone/bootstrap does not. you have a broken setup that need manual fixing"
+ else
+ mv clone/bootstrap bootstrap
+ mv clone bootstrap/.
+ rm -fr rawbuild
+ ./bootstrap/bin/create_bootstrap_links
+ fi
+ fi
+fi
+
+
diff --git a/bin/unpack b/bin/unpack
index e59a88b..ed1431b 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -323,7 +323,7 @@ else
echo "* copying $RAWBUILDDIR into $OOBUILDDIR..."
#cp -pLR "$RAWBUILDDIR" "$OOBUILDDIR"
touch "$CLONEDIR/repos_changed"
- rsync -prLt --exclude .git --exclude 'unx*.pro' --exclude 'wnt*.pro' "$RAWBUILDDIR/" "$OOBUILDDIR/"
+ rsync -prLt --exclude .git --exclude '/clone' --exclude 'unx*.pro' --exclude 'wnt*.pro' "$RAWBUILDDIR/" "$OOBUILDDIR/"
touch "$TOOLSDIR/stamp/refresh"
if test -d "$CLONEDIR/l10n" && [ "$OOO_LANGS" != "en-US" ]; then
echo "* copying translations into $OOBUILDDIR..."
diff --git a/configure.in b/configure.in
index eb5c7c0..60d864d 100755
--- a/configure.in
+++ b/configure.in
@@ -1703,8 +1703,8 @@ AC_MSG_RESULT([$build_product])
AC_MSG_CHECKING([whether to use git to get the ooo sources])
OOO_GIT=
-CLONEDIR="$BASEDIR/clone"
-RAWBUILDDIR="$BASEDIR/rawbuild"
+CLONEDIR="$BASEDIR/bootstrap/clone"
+RAWBUILDDIR="$BASEDIR/bootstrap"
if test \( -z "$with_git" -a -f "$SRCDIR/libreoffice-bootstrap-$OOO_SOURCEVERSION.tar.bz2" \) -o "$with_git" = "no"; then
AC_MSG_RESULT([no])
else
diff --git a/download.in b/download.in
index 0cb291b..539da8a 100755
--- a/download.in
+++ b/download.in
@@ -238,12 +238,6 @@ if ( '@UPSTREAM_NAME@' ne '' ) {
$SRC_URLS{'@UPSTREAM_NAME at .*'} = '@MIRROR@/upstream-copy';
}
-if ('@SPLIT@' eq '') {
- $SPLIT = 0;
-} else {
- $SPLIT = 1;
-}
-
# Files to download
@files = ();
@@ -260,36 +254,54 @@ sub source_file
push @files, { 'file' => "$file", 'save_as' => "$save_as", 'is_cgit' => $is_cgit };
}
+sub source_file_bootstrap
+{
+ if ( -d 'clone')
+ {
+ print "migrate rawbuild structure to a bootstrap-build";
+ system( "./bin/migrate-rawbuild-to-dir");
+ }
+
+ if ( -d "@RAWBUILDDIR@" )
+ {
+ print "bootstrap repo already there, skipping " . '@OOO_GIT@' . "/bootstrap (make sure to boostrap/g pull -r)\n";
+ }
+ else
+ {
+ if ( -d '@OOO_GIT@' . "/bootstrap" )
+ {
+ print "* mkworkdir from " . '@OOO_GIT@' . "/bootstrap\n";
+ system( "@OOO_GIT@/bootstrap/bin/mkworkdir -d . --as bootstrap") || die "error make a workdir set";
+ }
+ else
+ {
+ print "* cloning from " . '@OOO_GIT@' . "/bootstrap\n";
+ system( "git clone " . '@OOO_GIT@' . "/bootstrap " ) || die "error cloning bootstrap";
+ system( "@RAWBUILDDIR@/g clone" ) || die "error cloning the repos";
+ }
+ }
+}
+
sub source_file_ooo($)
{
my ($upstream_what) = @_;
my $what = $upstream_what;
- if (!$SPLIT) {
- if ( "$upstream_what" eq "l10n" ) {
- $what = "lang";
- } elsif ( "$upstream_what" eq "sdk" ) {
- $what = "sdk_oo";
- } elsif ( "$upstream_what" eq "libs_extern_sys" ) {
- $what = "system";
- }
- }
-
if ( '@OOO_GIT@' ne "" ) {
- if ( -d "@CLONEDIR@/$what" ) {
- print "* repo already there, skipping " . '@OOO_GIT@' . "/$what (make sure to bin/g pull -r)\n";
- } else {
- if ( -d '@OOO_GIT@' . "/$what" ) {
- print "* git-new-workdir from " . '@OOO_GIT@' . "/$what\n";
- system( "cd @CLONEDIR@ ; @TOOLSDIR@/bin/git-new-workdir " . '@OOO_GIT@' . "/$what " . '@CLONEDIR@' . "/$what" ) && exit 1;
- } else {
- print "* cloning from " . '@OOO_GIT@' . "/$what\n";
- system( "cd @CLONEDIR@ ; git clone " . '@OOO_GIT@' . "/$what " ) && exit 1;
- }
- }
-
- system( "cd @CLONEDIR@/$what ; git status | grep '^# Your branch is'" );
- system( "for file in `cd git-hooks ; echo *`
+ if ( -d "@CLONEDIR@/$what" ) {
+ print "* repo already there, skipping " . '@OOO_GIT@' . "/$what (make sure to bin/g pull -r)\n";
+ } else {
+ if ( -d '@OOO_GIT@' . "/$what" ) {
+ print "* git-new-workdir from " . '@OOO_GIT@' . "/$what\n";
+ system( "cd @CLONEDIR@ ; @TOOLSDIR@/bin/git-new-workdir " . '@OOO_GIT@' . "/$what " . '@CLONEDIR@' . "/$what" ) && exit 1;
+ } else {
+ print "* cloning from " . '@OOO_GIT@' . "/$what\n";
+ system( "cd @CLONEDIR@ ; git clone " . '@OOO_GIT@' . "/$what " ) && exit 1;
+ }
+ }
+
+ system( "cd @CLONEDIR@/$what ; git status | grep '^# Your branch is'" );
+ system( "for file in `cd git-hooks ; echo *`
do
cd @CLONEDIR@/$what
hook=\".git/hooks/\$file\"
@@ -299,10 +311,6 @@ sub source_file_ooo($)
fi
done" );
}
- elsif ( '@SOURCE_TYPE@' eq "UPSTREAM" ) {
- die "Up-stream doesn't have a package split" if ($SPLIT);
- source_file( '@UPSTREAM_URI@' . "&lang=$upstream_what", '@UPSTREAM_NAME@' . "_$upstream_what.tar.bz2" );
- }
elsif ( '@SOURCE_TYPE@' eq "MIRROR" ) {
source_file( '@UPSTREAM_NAME@' . "_$upstream_what.tar.bz2" );
}
@@ -388,9 +396,6 @@ sub download_files($$$)
if (!-d "@SRCDIR@") {
`mkdir -p @SRCDIR@`;
}
-if ( !-d "@CLONEDIR@" ) {
- `mkdir -p @CLONEDIR@`;
-}
my $download_all = 0;
@@ -411,11 +416,6 @@ if ('@SYSTEM_GCC@' eq '') {
source_file( 'binutils-2.18.tar.bz2' );
}
-if (!$SPLIT && ($download_all || '@BUILD_WIN32@' ne ''))
-{
- source_file_ooo( "system" );
-}
-
if ($download_all && '@BUILD_WIN32@' eq '')
{
source_file( '@BUILD_MOZILLA_SOURCE@' );
@@ -498,7 +498,9 @@ if ('@MDBTOOLS_SRC@' ne '') {
source_file( '@MDBTOOLS_SRC@' );
}
-if ($SPLIT) {
+if ( '@OOO_GIT@' ne "" ) {
+ source_file_bootstrap();
+} else {
source_file_ooo( "artwork" );
source_file_ooo( "base" );
source_file_ooo( "bootstrap" );
@@ -518,23 +520,16 @@ if ($SPLIT) {
source_file_ooo( "writer" );
# for now ...
source_file_ooo( "libs-extern-sys" );
-} else {
- source_file_ooo( "core" );
-}
-if ('@ENABLE_EXTENSIONS@' eq 'YES') {
- source_file_ooo( "extensions" );
+ if ('@ENABLE_EXTENSIONS@' eq 'YES') {
+ source_file_ooo( "extensions" );
+ }
}
-
source_file( '@OOO_CUSTOM_IMAGES@') if '@OOO_CUSTOM_IMAGES@';
source_file( '@OOO_EXTRA_ARTWORK@' ) if '@OOO_EXTRA_ARTWORK@';
# Temporary utf-8ization of bibliograpy bits
source_file( "biblio.tar.bz2" );
-if (!$SPLIT && ($download_all || '@ENABLE_BINFILTER@' eq 'TRUE')) {
- source_file_ooo( "binfilter" );
-}
-
if ( $download_all || ( '@OOO_LANGS@' ne '' && '@OOO_LANGS@' ne 'en-US' ) || '@BUILD_WIN32@' ne '' ) {
source_file_ooo( "l10n" );
}
@@ -617,19 +612,6 @@ foreach (@templang) {
}
my $distro = '@DISTRO@';
-if ($distro eq 'ArchLinux' ||
- $distro eq 'Ark' ||
- $distro eq 'DroplineGNOME' ||
- $distro eq 'Frugalware' || $distro eq 'Frugalware64' ||
- $distro eq 'Gentoo.conf' ||
- $distro eq 'openmamba' ||
- $distro eq 'SUSE-9.1' || $distro eq 'SUSE-9.2' || $distro eq 'SUSE-9.3' ||
- $distro eq 'Slackware' ||
- $distro eq 'NovellWin32' || $distro eq 'GoOoWin32' ||
- $distro eq 'OxygenOfficeLinux' || $distro eq 'OxygenOfficeWindows' ||
- $distro eq 'translate-org-za-linux' || $distro eq 'translate-org-za-win32' || $distro eq 'Pardus') {
- source_file_ooo( "libs_extern_sys" ) if !$SPLIT;
-}
if ($download_all ||
$distro =~ m/Debian/ ||
commit fcc011264adfa0526117d236b8f4ad81f8dcde07
Author: Norbert Thiebaud <norbert at sqdata.com>
Date: Fri Nov 5 01:52:31 2010 -0500
make tinbuild work on MacOS
diff --git a/bin/tinbuild b/bin/tinbuild
index e01a061..f752a8f 100755
--- a/bin/tinbuild
+++ b/bin/tinbuild
@@ -8,6 +8,7 @@ HTML_OUTPUT=0
SEND_MAIL=0
NICE=
OWNER=
+MACHINE=`uname`
## subroutines
usage ()
@@ -138,8 +139,11 @@ while true; do
$NICE make clean-local
# FIXME we need a more exact way to determine a 'good' date; this is not accurate
- rough_checkout_date="`date --utc --rfc-3339=seconds`"
-
+ if [ "X$MACHINE" == "XDarwin" ] ; then
+ rough_checkout_date="`date -u '+%Y-%m-%d %H:%M:%S'`"
+ else
+ rough_checkout_date="`date --utc --rfc-3339=seconds`"
+ fi
# try to build
if ! err_msg=$(./autogen.sh 2>&1); then
reportError committer `printf "autogen.sh / configure failed - error is:\n\n$err_msg"`
More information about the Libreoffice-commits
mailing list